Package org.jbpm.casemgmt.impl.model.instance

## Class CaseStageInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseStageInstanceImpl

- All Implemented Interfaces:
    `Serializable`, `CaseStageInstance`

      public class CaseStageInstanceImpl
      extends Object
      implements CaseStageInstance, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseStageInstanceImpl​(String id, String name)` |
    `CaseStageInstanceImpl​(String id, String name, Collection<AdHocFragment> adHocFragments, Collection<NodeInstanceDesc> activeNodes)` |
    `CaseStageInstanceImpl​(String id, String name, Collection<AdHocFragment> adHocFragments, Collection<NodeInstanceDesc> activeNodes, StageStatus status)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<NodeInstanceDesc>` | `getActiveNodes()` | Returns currently active nodes within this stage
    `Collection<AdHocFragment>` | `getAdHocFragments()` | Returns names of the adhoc fragments within this stage that can be triggered.
    `String` | `getId()` | Returns id of this stage.
    `String` | `getName()` | Returns name of this stage.
    `StageStatus` | `getStatus()` | Returns status of this stage
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseStageInstanceImpl

          public CaseStageInstanceImpl​(String id,
                                       String name)

    - #### CaseStageInstanceImpl

          public CaseStageInstanceImpl​(String id,
                                       String name,
                                       Collection<AdHocFragment> adHocFragments,
                                       Collection<NodeInstanceDesc> activeNodes)

    - #### CaseStageInstanceImpl

          public CaseStageInstanceImpl​(String id,
                                       String name,
                                       Collection<AdHocFragment> adHocFragments,
                                       Collection<NodeInstanceDesc> activeNodes,
                                       StageStatus status)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CaseStageInstance`
      Returns name of this stage.
      Specified by:
        `getName` in interface `CaseStageInstance`

    - #### getAdHocFragments

          public Collection<AdHocFragment> getAdHocFragments()

      Description copied from interface: `CaseStageInstance`
      Returns names of the adhoc fragments within this stage that can be triggered.
      Specified by:
        `getAdHocFragments` in interface `CaseStageInstance`

    - #### getActiveNodes

          public Collection<NodeInstanceDesc> getActiveNodes()

      Description copied from interface: `CaseStageInstance`
      Returns currently active nodes within this stage
      Specified by:
        `getActiveNodes` in interface `CaseStageInstance`

    - #### getStatus

          public StageStatus getStatus()

      Description copied from interface: `CaseStageInstance`
      Returns status of this stage
      Specified by:
        `getStatus` in interface `CaseStageInstance`

    - #### getId

          public String getId()

      Description copied from interface: `CaseStageInstance`
      Returns id of this stage.
      Specified by:
        `getId` in interface `CaseStageInstance`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`